#include "guess.h"
int find_number(int dr) {
    int mij, st = 0;
    while(st <= dr) {
        mij = st + (dr - st) / 2;
        if(smaller(mij)) dr = mij - 1;
        else st = mij + 1;
    }

    return dr;
}

